Overview
Organizations that represent the customers of Tesouro partners can have their bank account information associated with them. These bank accounts can be set as default for payment in different currencies.Add a bank account to an organization
To add a bank account to an organization, callPOST /bank-accounts and provide the bank account details.
All bank accounts require the currency and country. For US accounts, also provide account_holder_name, account_number, and routing_number.
Sample request:
- USD bank account
id assigned to the added bank account, along with other details:
Default bank account
Tesouro has a concept of “default bank account” for organizations. Default bank accounts have theis_default_for_currency field set to true in API responses.
Default bank accounts allow developers to preselect the default bank account when creating invoices and other documents.
Set the default bank account
The very first bank account created is automatically set as the default. When adding a new bank account, you can explicitly mark it as default by including"is_default_for_currency": true in the request body. The previous default account will no longer be default.
POST /bank-accounts/{bank_account_id}/make-default:
List all bank accounts
To get information about all bank accounts associated with the specified organization, callGET /bank-accounts.
Retrieve a bank account
To get information about a specific bank account associated with the specified organization, callGET /bank-accounts/{entity_bank_account_id}.
Edit a bank account
You can update theaccount_holder_name and display_name of existing organization bank accounts. To do this, call PATCH /bank-accounts/{entity_bank_account_id} and provide the new values.
To update other bank account details (for example, routing_number), you will need to delete the existing bank account and create a new one instead.
The
account_holder_name of existing USD bank accounts cannot be changed to an empty string since
it is a required field.Delete a bank account
To delete an existing bank account from the list of bank accounts associated with the specified organization, callDELETE /bank-accounts/{entity_bank_account_id}.
Default bank accounts cannot be deleted. To delete a default bank account, you must first assign a new default account for the same currency.